Bug 245782 - print/ghostscript9-agpl-base: coredumps graphics/ImageMagick{6|7} compiled with LCMS2 and GSLIB support during convert pdf to png
Summary: print/ghostscript9-agpl-base: coredumps graphics/ImageMagick{6|7} compiled wi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-21 12:02 UTC by VVD
Modified: 2020-05-02 21:05 UTC (History)
3 users (show)

See Also:
blackend: maintainer-feedback+


Attachments
Visibility of lcms2mt. (1.56 KB, patch)
2020-04-27 21:02 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-04-21 12:02:39 UTC
$ convert logo: logo.pdf
$ convert logo.pdf logo.png
Abort trap (стек памяти сброшен на диск)

If remove one of LCMS2 or GSLIB option, then it work fine.

Upstream issues including gdb's back trace are here:
https://github.com/ImageMagick/ImageMagick/discussions/1908
https://github.com/mm2/Little-CMS/issues/207
Comment 2 VVD 2020-04-27 21:02:56 UTC
Created attachment 213868 [details]
Visibility of lcms2mt.

Developers of ghostscript show how to fix it: https://bugs.ghostscript.com/show_bug.cgi?id=702349

Tested with ImageMagick6 on 12.1 amd64.
Comment 3 VVD 2020-04-29 05:06:13 UTC
(In reply to VVD from comment #2)
> Tested with ImageMagick6 on 12.1 amd64.
Tested with ImageMagick7 too on 12.1 amd64.
Comment 4 Marc Fonvieille freebsd_committer 2020-04-29 08:37:13 UTC
Approved
Thanks.

--
Marc (with doceng@ Hat on)
Comment 5 VVD 2020-04-29 09:10:10 UTC
(In reply to Marc Fonvieille from comment #4)
Thanks.
Can you commit it?
Comment 6 commit-hook freebsd_committer 2020-05-02 21:03:55 UTC
A commit references this bug:

Author: kwm
Date: Sat May  2 21:03:02 UTC 2020
New revision: 533708
URL: https://svnweb.freebsd.org/changeset/ports/533708

Log:
  Shared library (libgs) with lcms2mt could clash if the calling app also
  included lcms2.

  For example ImageMagick with the GSLIB option enabled.

  PR:		245782
  Submitted by:	VVD <vvd@unislabs.com>
  Approved by:	doceng@ (blackend@)
  Obtained from:	http://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=f210e4c009f7

Changes:
  head/print/ghostscript9-agpl-base/Makefile
  head/print/ghostscript9-agpl-base/files/patch-lcms2mt